Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.defaults
Class DockablePropertyChangeHandler

    java.lang.Object
      org.flexdock.docking.defaults.DockablePropertyChangeHandler

All Implemented Interfaces:
  PropertyChangeListener, EventListener

    public class DockablePropertyChangeHandler

extends Object
implements PropertyChangeListener

Author:
  Christopher Butler

Nested Class Summary
`static class` | `DockablePropertyChangeHandler.Factory`

Field Summary
`static DockablePropertyChangeHandler` | `DEFAULT_INSTANCE`

Constructor Summary
`DockablePropertyChangeHandler()`

Method Summary
`void` | `propertyChange(PropertyChangeEvent evt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INSTANCE

    public static final DockablePropertyChangeHandler DEFAULT_INSTANCE

Constructor Detail

### DockablePropertyChangeHandler

    public DockablePropertyChangeHandler()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD